Skip to main content
DELETE
/
taxonomy
/
delete
Python
import os
from unstructured import UnstructuredClient

client = UnstructuredClient(
    username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
    password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
)
taxonomy_operation_response = client.taxonomy.delete(
    taxonomy_name="taxonomy_name",
)
print(taxonomy_operation_response.taxonomy_name)
import UnstructuredClient from 'unstructured-sdk';

const client = new UnstructuredClient({
authMethod: 'My Auth Method',
username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
});

const taxonomyOperationResponse = await client.taxonomy.delete({ taxonomy_name: 'taxonomy_name' });

console.log(taxonomyOperationResponse.taxonomy_name);
A valid request URL is required to generate request examples
A valid request URL is required to generate request examples
A valid request URL is required to generate request examples
A valid request URL is required to generate request examples
A valid request URL is required to generate request examples
{
  "taxonomy_name": "<string>"
}
{
"detail": "<string>"
}
{
"detail": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"detail": "<string>"
}
{
"detail": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

taxonomy_name
string
required

Response

Successful Response

taxonomy_name
string
required